package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.BusDownloads;
import org.dromara.payment.sys.domain.vo.BusDownloadsVo;
import org.dromara.payment.sys.domain.bo.BusDownloadsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 异步下载Service接口
 *
 * @author LionLi
 * @date 2024-06-21
 */
public interface IBusDownloadsService {

    /**
     * 查询异步下载
     */
    BusDownloadsVo queryById(Long id);

    /**
     * 查询异步下载列表
     */
    TableDataInfo<BusDownloadsVo> queryPageList(BusDownloadsBo bo, PageQuery pageQuery);

    /**
     * 查询异步下载列表
     */
    List<BusDownloadsVo> queryList(BusDownloadsBo bo);

    /**
     * 新增异步下载
     */
    Boolean insertByBo(BusDownloadsBo bo);

    /**
     * 修改异步下载
     */
    Boolean updateByBo(BusDownloadsBo bo);

    /**
     * 校验并批量删除异步下载信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
